<?php
/**
 * This file is part of webman.
 *
 * Licensed under The MIT License
 * For full copyright and license information, please see the MIT-LICENSE.txt
 * Redistributions of files must retain the above copyright notice.
 *
 * @author    walkor<walkor@workerman.net>
 * @copyright walkor<walkor@workerman.net>
 * @link      http://www.workerman.net/
 * @license   http://www.opensource.org/licenses/mit-license.php MIT License
 */

use app\api\controller\v1\AnnouncementController;
use app\api\controller\v1\GameController;
use app\api\controller\v1\IndexController;
use app\api\controller\v1\PlayerController;
use app\api\controller\v1\VersionController;
use app\api\controller\v1\PromoterController;
use Webman\Route;
use app\api\controller\v1\QrcodeController;
use app\external\ExternalApiController;

Route::options('[{path:.+}]', function () {
    return response('');
});

Route::group('/api', function () {
    Route::group('/v1', function () {
        // 获取版本更新信息
        Route::post('/get-app-update', [VersionController::class, 'getAppUpdate']);
        // 渠道信息
        Route::post('/channel-info', [IndexController::class, 'channelInfo']);
        //手机号注册
        Route::post('/phone-register', [PlayerController::class, 'phoneRegister']);
        //发送验证码
        Route::post('/send-msg', [PlayerController::class, 'sendMsg']);
        //忘记密码
        Route::post('/forget-password', [PlayerController::class, 'forgetPassword']);
        // 玩家登录
        Route::post('/login', [PlayerController::class, 'login']);
        // 获取用户信息
        Route::post('/player-info', [PlayerController::class, 'playerInfo']);
        // 编辑昵称
        Route::post('/edit-player-name', [PlayerController::class, 'editPlayerName']);
        // 用户银行卡列表
        Route::post('/bank-card-list', [IndexController::class, 'bankCardList']);
        // 添加银行卡
        Route::post('/add-bank-card', [IndexController::class, 'addBankCard']);
        // 修改银行卡
        Route::post('/edit-bank-card', [IndexController::class, 'editBankCard']);
        // 银行卡列表
        Route::post('/bank-list', [IndexController::class, 'bankList']);
        // 删除银行卡
        Route::post('/delete-bank-card', [IndexController::class, 'deleteBankCard']);
        // 充值列表
        Route::post('/recharge-list', [PlayerController::class, 'rechargeList']);
        // 充值项列表
        Route::post('/recharge-setting-list', [PlayerController::class, 'rechargeSettingList']);
        // 充值配置详情
        Route::post('/recharge-info', [PlayerController::class, 'rechargeInfo']);
        // 登出
        Route::post('/logout', [IndexController::class, 'logout']);
        // 玩家充值
        Route::post('/player-recharge', [IndexController::class, 'playerRecharge']);
        // 數據中心
        Route::post('/gift-center', [PlayerController::class, 'giftCenter']);
        // cash out列表
        Route::post('/cash-out-list', [IndexController::class, 'cashOutList']);
        // cash in列表
        Route::post('/cash-in-list', [IndexController::class, 'cashInList']);
        // 玩家提现
        Route::post('/withdrawal', [IndexController::class, 'playerWithdrawal']);
        // 登录游戏返回游戏地址
        Route::post('/login-game', [GameController::class, 'loginGame']);
        // 上传充值凭证
        Route::post('/upload-certificate', [IndexController::class, 'uploadCertificate']);
        //se支付
        Route::post('/se-recharge-list', [PlayerController::class, 'seRechargeList']);
        Route::post('/se-recharge', [PlayerController::class, 'seRecharge']);
        //完成充值
        Route::post('/complete-recharge', [PlayerController::class, 'completeRecharge']);
        Route::post('/se-withdrawal', [PlayerController::class, 'seWithdrawal']);
        Route::post('/gametest', [GameController::class, 'gametest']);
        // 游戏记录
        Route::post('/game-record', [PlayerController::class, 'gameRecord']);
        //获取奖品列表
        Route::post('/prize-list', [GameController::class, 'getPrizeList']);
        //抽奖
        Route::post('/lottery', [GameController::class, 'lottery']);
        //抽奖记录
        Route::post('/draw-records', [GameController::class, 'getDrawRecords']);
        //充提记录
        Route::post('/deposit-withdrawal-records', [PlayerController::class, 'depositWithdrawalRecord']);
    });
});

// 外部API
Route::group('/external', function () {
    Route::get('/login', [ExternalApiController::class, 'login']);
    Route::get('/download', [ExternalApiController::class, 'download']);
    //skl支付回调
    Route::post('/skl-recharge-notify', [ExternalApiController::class, 'sklRechargeNotify']);
    //skl提现回调
    Route::post('/skl-withdrawal-notify', [ExternalApiController::class, 'sklWithdrawalNotify']);
    //skl支付跳转
    Route::get('/skl-query/', [ExternalApiController::class, 'sklQuery']);
});

Route::disableDefaultRoute();




